drop view if exists RVB_view;

create view RVB_view as ( 
    select  s.id                  as start_id,
            s.name                as start_name,
	    e.id                  as end_id,
	    e.name                as end_name, 
	    sum( c.votes_balance) as rvb
    from cities as s, cities as e, cities as c
    where s.id <= c.id and c.id<=e.id
    group by s.id, e.id
);


select  r.start_id, r.start_name, r.end_id, r.end_name, 
        r.rvb as range_votes_balance 
from RVB_view as r
where r.rvb >= all (
    select max(rvb) from RVB_view)
order by r.start_id, r.end_id;

